Update a deal
curl --request PUT \
--url https://api.morphic.io/api/deals/{deal_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"stage": "<string>",
"status": "<string>",
"amount": 123,
"currency": "<string>",
"probability": 50,
"expected_close_date": "2023-12-25",
"source": "<string>",
"competing_options": [
"<string>"
],
"next_step": "<string>",
"tags": [
"<string>"
],
"notes": "<string>",
"categories": [
"<string>"
],
"contact_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"assigned_to_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"lost_reason": "<string>",
"metadata": {},
"enrichment": {},
"enrichment_provider": "<string>",
"enrichment_last_updated": "2023-11-07T05:31:56Z",
"enrichment_status": "<string>",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": {}
}
'import requests
url = "https://api.morphic.io/api/deals/{deal_id}"
payload = {
"name": "<string>",
"description": "<string>",
"stage": "<string>",
"status": "<string>",
"amount": 123,
"currency": "<string>",
"probability": 50,
"expected_close_date": "2023-12-25",
"source": "<string>",
"competing_options": ["<string>"],
"next_step": "<string>",
"tags": ["<string>"],
"notes": "<string>",
"categories": ["<string>"],
"contact_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"assigned_to_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"lost_reason": "<string>",
"metadata": {},
"enrichment": {},
"enrichment_provider": "<string>",
"enrichment_last_updated": "2023-11-07T05:31:56Z",
"enrichment_status": "<string>",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
stage: '<string>',
status: '<string>',
amount: 123,
currency: '<string>',
probability: 50,
expected_close_date: '2023-12-25',
source: '<string>',
competing_options: ['<string>'],
next_step: '<string>',
tags: ['<string>'],
notes: '<string>',
categories: ['<string>'],
contact_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
assigned_to_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
closed_at: '2023-11-07T05:31:56Z',
lost_reason: '<string>',
metadata: {},
enrichment: {},
enrichment_provider: '<string>',
enrichment_last_updated: '2023-11-07T05:31:56Z',
enrichment_status: '<string>',
company_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
custom_fields: {}
})
};
fetch('https://api.morphic.io/api/deals/{deal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"stage": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"status": "open",
"amount": "<string>",
"currency": "USD",
"probability": 50,
"expected_close_date": "2023-12-25",
"source": "<string>",
"competing_options": [
"<string>"
],
"next_step": "<string>",
"tags": [
"<string>"
],
"notes": "<string>",
"categories": [
"<string>"
],
"contact_ids": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"assigned_to_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"lost_reason": "<string>",
"metadata": {},
"enrichment": {},
"enrichment_provider": "<string>",
"enrichment_last_updated": "2023-11-07T05:31:56Z",
"enrichment_status": "<string>",
"company_id": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"custom_fields": {},
"is_favorite": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Deals
Update a deal
Update an existing deal’s details.
PUT
/
api
/
deals
/
{deal_id}
Update a deal
Authorizations
API key (sk_xxx) from Developer Settings. No X-Account-ID needed.
Headers
Path Parameters
Body
application/json
Required string length:
1 - 255Maximum string length:
3Required range:
0 <= x <= 100Response
Successful Response
Required string length:
1 - 255Pipeline stage (e.g., qualification, negotiation, closed_won)
Deal status (open, won, lost)
Maximum string length:
3Required range:
0 <= x <= 100Associated contacts with id and name
Show child attributes
Show child attributes
Company with id and name
Show child attributes
Show child attributes
Whether this record is favorited by the current user
⌘I